CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * How to Apply
 * Configuration
 * Maintainers


INTRODUCTION
------------

This recipe adds a Signup field to your Event content type, to add the ability for users
to register. To do so it relies on the Entity Registration module, and creates a
registration type of Signup, and configures the new event field to allow registrations of
the Signup type.


HOW TO APPLY
------------

 * Use composer to add the recipe and its dependencies to your codebase
 * In your terminal, run `php core/scripts/drupal recipe recipes/contrib/events_registration`
   or using drush, run `drush recipe ../recipes/events_registration`


REQUIREMENTS
------------

This recipe requires the Events recipe, so it will apply this recipe before it begins.


CONFIGURATION
-------------

 * The recipe creates the Signup registration type, without requiring additional
   information. If your site will need to collect information from registrants, you can
   either add fields to the Signup type, or create a new registration type and use that
   instead.


MAINTAINERS
-----------

 * Current Maintainer: Martin Anderson-Clutz (mandclu) - https://www.drupal.org/u/mandclu
